Subject: RE: Closer to a 'unified' ds-te approach ?

From: Shahram Davari <[email-masked]>
Date: Tue, 27 Nov 2001 14:55:23 -0800

Hi Francois,

I think it is clear that the preemption priority of an LSP is independent of the CT or CTs that it is carrying. And this fact is acknowledged at the beginning of this document (section  2.2.1), when it states that CT and preemption are orthogonal. But section 2.2.2 tries to tie them together using a configurable mapping. This is contrary to all the previous assumptions and I see no reason to do so. The draft states that:

"Each preemption priority is only used by a single CT".

Why should we have this restriction? I think an example might make it clear:

Assume that customer A is a Fortune 500 company and wants that its voice and data be transmitted without interruption. He wants low delay/loss for voice, and low loss and medium delay for data. Assume customer B, however, has a tight budget and is willing to accept interruption and call drops, but due to the nature of voice he wants low delay/loss for his voice connection, however he is willing to accept long delay and may be loss in his data connection. In summary

Customer A: Voice => CT1, Preepmtion 0
            Data  => CT2, preemption 0
Customer B: Voice => CT1, preemption 1
            Data  => CT3, preemption 1
        
As you can see preemption 0 could be used by both CT1 and CT2.  

Yours,
-Shahram

> -----Original Message-----
> From: Francois Le Faucheur [mailto:[email-masked]]
> Sent: Tuesday, November 27, 2001 10:16 AM
> To: [email-masked]
> Subject: RE: Closer to a 'unified' ds-te approach ? 
> 
> 
> 
> >PS: If it doesn't get announced today I will put it on a 
> public ftp server 
> >tommorow morning European time.
> 
> While it is percolating its way to the official IETF server, 
> draft-lefaucheur-diff-te-proto-01.txt is available from 
> ftp-eng.cisco.com/ftp/flefauch
> 
> Cheers
> 
> Francois
> 
>